org.apache.sling.maven.projectsupport.bundlelist

## Class BaseBundleList

- java.lang.Object
- - org.apache.sling.maven.projectsupport.bundlelist.BaseBundleList

Direct Known Subclasses:
  BundleList

    public abstract class BaseBundleList
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BaseBundleList()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `add(List<Bundle> newBnd)` Add an artifact definition.
`Bundle` `get(Bundle bundle, boolean compareVersions)`
`abstract List<StartLevel>` `getStartLevels()`
`void` `merge(BundleList bundleList)` Merge the current bundle list with an additional list.
`boolean` `remove(List<Bundle> bundles, boolean compareVersions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseBundleList

    public BaseBundleList()

### Method Detail

#### getStartLevels

    public abstract List<StartLevel> getStartLevels()

#### get

    public Bundle get(Bundle bundle,
                      boolean compareVersions)

#### remove

    public boolean remove(List<Bundle> bundles,
                          boolean compareVersions)

#### merge

    public void merge(BundleList bundleList)

Merge the current bundle list with an additional list.

Parameters:
  `bundleList` - the new bundle list
See Also:
  `#add(Bundle)`

#### add

    public void add(List<Bundle> newBnd)

Add an artifact definition. If it already exists, update the version, but do not change the start level.

Parameters:
  `newBnd` - the bundle to add